/**
  Author: Mark George <mark.george@otago.ac.nz>
  License: Zero-Clause BSD License
*/

package main

type GlobalOptions struct {
	Verbose      bool `short:"v" long:"verbose" description:"Show additional details"`
	HeadersOnly  bool `long:"headers" description:"Show headers and request/status line only (default is everything)"`
	BodiesOnly   bool `long:"bodies" description:"Show bodies only (default is everything)"`
	NoColour     bool `long:"nocolour" description:"Don't use colours (default is requests are blue and responses are red)"`
	NoTimestamps bool `long:"notimestamps" description:"Don't show timestamps"`
}

var (
	globalOptions = new(GlobalOptions)
)
